10 '  ********************************************************************
20 '  *                                                                  *
30 '  *  Micro Character Generator Program MCGCLOCK.BAS Version 1.03     *
40 '  *  (C) 1998 by BURST ELECTRONICS Inc                               *
50 '  *                                                                  *
60 '  *  This example program may be freely copied and modified for      *
70 '  *  use with the MCG-2.                                             *
90 '  *                                                                  *
100 ' *                                                                  *
110 ' *                                                                  *
120 ' *                                                                  *
130 ' ********************************************************************
140 '
150 ' ********************************************************************
160 ' *                                                                  *
170 ' *  This example program copies the PC computer's system            *
180 ' *  clock to the MCG-2.  Time display is in 24 hour format.         *
190 ' *                                                                  *
200 ' *  Serial port COM1: and MCG-2 device ID #01 are assumed.          *
210 ' *  Valid for ROM Software V1.06 and later                          *
220 ' ********************************************************************
230 '
240 CLS: LOCATE 2,1: PRINT "Press a key to end."
250 ' Open COM port 1 for 9600 baud, no parity, 8 data bits, one stop bit
260 OPEN "COM1:9600,n,8,1" AS #1
270 XLOC=1 ' MCG-2 display "X" location
280 YLOC=1 ' MCG-2 display "Y" location
290 YLOC$=RIGHT$(STR$(YLOC),1)
300 XLOC=XLOC-1
310 '
320 ' Wake device and set responces to OFF
330 GOSUB 600
340 '
350 ' Wait for time to change.
360 T$=TIME$
370 '
380 ' If key on PC keyboard pressed then end program.
390 IF INKEY$="" THEN 410 ELSE 800
400 '
410 IF T$=TIME$ THEN 390
420 '
430 ' Print time to PC
440 LOCATE 1,1
450 PRINT TIME$
460 '
470 ' Print time to MCG-2 delay after each line for processing.
480 PRINT #1,"WL,1,"+YLOC$;",";SPC(XLOC);TIME$ "
490 GOSUB 700
500 PRINT #1, "UP,1"
510 GOSUB 700
520 GOTO 360
599 '
600 'Slowly send WAKE, and RESPONCES OFF commands
610 GOSUB 760 ' Clear MCG-2 input buffer
620 FOR X=1 TO 14
630 READ A$
640 IF A$="~" THEN PRINT #1,CHR$(13): GOSUB 710: GOTO 660
650 PRINT #1,A$;
660 FOR Y=1 TO 500: NEXT Y
670 NEXT X
680 RETURN
690 DATA "S","P","~","W","K",",","0","1","~","S","R",",","0","~"
699 '
700 ' Delay between each line to allow for MCG-2 processing.
710 ' (Slower baud rates require a longer delay.)
720 FOR Z=1 TO 500: NEXT Z
730 PRINT #1,CHR$(10);
740 RETURN
750 '
760 ' Clear MCG-2 input buffer with a ASCII 13
770 PRINT #1,CHR$(13);
780 GOSUB 710: GOSUB 710: GOSUB 710
790 RETURN
799 '
800 ' Clear the display, restore responces, and end the program
810 PRINT #1,"CV"
820 GOSUB 700
830 PRINT #1,"SR,1"
840 GOSUB 700
850 LOCATE 3,1
